Bug 1988123 - Driver Toolkit ART / OSBS builds are failing because of extract-vmlinux
Summary: Driver Toolkit ART / OSBS builds are failing because of extract-vmlinux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Driver Toolkit
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: dagray
QA Contact: Walid A.
URL:
Whiteboard:
Depends On:
Blocks: 1988478
TreeView+ depends on / blocked
 
Reported: 2021-07-29 19:58 UTC by dagray
Modified: 2021-10-18 17:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 52 0 None open Bug 1988123: Use kernel config to determine GCC version 2021-07-29 20:01:08 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:35 UTC

Description dagray 2021-07-29 19:58:32 UTC
Description of problem:
The installation of gcc in the Driver Toolkit uses extract-vmlinux to determine the gcc version used to compile the installed kernel. This script does not work on aarch64 and s390x due to the kernel formats used. As a result, the gcc versions installed were different depending on architecture, which OSBS does not allow.

Comment 2 Walid A. 2021-08-02 12:25:22 UTC
Verified on driver-tool kit image from https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.9.0-0.nightly-2021-08-01-132055/release.txt

# podman run -it fb1d35c13c56  /bin/bash

[root@c1ed7039753d kmods-via-containers]# pwd
/tmp/kmods-via-containers
[root@c1ed7039753d kmods-via-containers]# 
[root@c1ed7039753d kmods-via-containers]# uname -a
Linux c1ed7039753d 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[root@c1ed7039753d kmods-via-containers]# 
[root@c1ed7039753d kmods-via-containers]# ls -ltr
total 40
-rw-r--r--. 1 root root   844 Jul 30 00:43 kmods-via-containers@.service
-rw-r--r--. 1 root root   268 Jul 30 00:43 kmods-via-containers.conf
-rwxr-xr-x. 1 root root  4716 Jul 30 00:43 kmods-via-containers
-rw-r--r--. 1 root root 12599 Jul 30 00:43 README.md
-rw-r--r--. 1 root root   679 Jul 30 00:43 Makefile
-rw-r--r--. 1 root root  1067 Jul 30 00:43 LICENSE
[root@c1ed7039753d kmods-via-containers]# 
[root@c1ed7039753d kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")
[root@c1ed7039753d kmods-via-containers]# 
[root@c1ed7039753d kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.4.1-1.el8                          @System                      
[root@c1ed7039753d kmods-via-containers]# 

[root@c1ed7039753d kmods-via-containers]# echo $GCC_VERSION
8.4.1

Comment 5 errata-xmlrpc 2021-10-18 17:43:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.